/******* GENERAL **********/
body {
  font-family: "Century Gothic Bold", Sans-serif;
  color: #000000;
  margin: 0px;
  padding: 0px;
}

.display-4,
h2 {
  color: darkblue;
  font-family: "Century Gothic Bold", Sans-serif !important;
}

/******* NAV **********/
.navbar {
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  font-size: 18px;
}

.space a {
  margin-right: 20px;
}

/******* SECTIONS ANIMATION **********/
.section-transition {
  position: relative;
  z-index: 1;
}

.section-transition:before {
  content: "";
  position: absolute;
  top: -50px;
  left: 0;
  width: 100%;
  height: 50px;
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 1) 100%
  );
  z-index: -1;
}

/******* Cabezera *******/
.parallax {
  background-image: url(src/cabezeraa.jpg);
  height: 100vh;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.centrado {
  text-align: center;
  color: #fff;
  text-shadow: 0 6px 8px black;
}

.centrado h1 {
  color: white;
  font-size: 5em;
  text-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}

/******* Nosotros *******/
.image-size {
  width: 500px;
  max-width: 500px;
  max-height: 300px;
}

@media (max-width: 768px) {
  .centrado h1 {
    font-size: 3em;
  }
}


@media (max-width: 480px) {
  .centrado h1 {
    font-size: 2em; 
  }
}

/******* Especialistas *******/
.title-line {
  position: relative;
  font-weight: bold;
}

.title-line::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -20px;
  height: 4px;
  width: 120%;
  /* background: linear-gradient(
    to right,
    red,
    yellow
  );  */
  background: linear-gradient(to right, orange, yellow);
}

@media (max-width: 768px) {
  .image-size {
    width: 100%;
    height: auto;
  }
}

/******* APP **********/
.title-size {
  font-size: 45px;
}

.learn-more {
  background-color: #007bff;
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
}

.learn-more:hover {
  background-color: #004c8c;
  color: white;
}

.row h2 {
  margin-top: 9%;
}
.row p,
img {
  margin-bottom: 5%;
}

.row img {
  border-radius: 2%;
  margin-top: 5%;
}

/******* CAROUSEL **********/
.project {
  font-family: "Raleway, Arial, Helvetica, sans-serif" !important;
  font-weight: 300px;
  text-align: center;
  font-size: 46.752px;
  color: #005394;
}
.line {
  border-bottom: 2px solid #fed03d;
  width: 20%;
  margin: 10px auto 30px;
  margin-top: -3%;
}

.carousel-item {
  height: 100%;
}

.carousel-item .row > div {
  float: left;
  width: 33.33333%;
}

.carousel-caption {
  position: static;
  text-align: center;
  color: #000000;
}

.carousel-content {
  border-radius: 20px;
  overflow: hidden;
}

.col-md-4 {
  position: relative;
  border-radius: 20px;
  overflow: hidden;
  transition: box-shadow 0.3s ease;
}

.col-md-4:hover {
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.2);
}

.col-md-4 img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 20px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}
.row {
  display: flex;
  align-items: stretch;
}

.carousel-control-prev,
.carousel-control-next {
  position: absolute;
  top: 0.1%;
  width: auto;
  bottom: 0;
  padding: 0;
  font-size: 20px;
  color: #000;
  text-align: center;
  background: none;
  border: 0;
  cursor: pointer;
}

.carousel-control-prev {
  left: -5%;
}

.carousel-control-next {
  right: -5%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: no-repeat 50%/100% 100%;
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5L4.25 4l2.5-2.5L5.25 0z'/%3e%3c/svg%3e");
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3e%3cpath d='M2.75 0l-1.5 1.5L3.75 4l-2.5 2.5L2.75 8l4-4-4-4z'/%3e%3c/svg%3e");
}

.show-more {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 2%;
}

.show-more a {
  font-family: "Montserrat, Arial, Helvetica, sans-serif";
  font-weight: 400px;
  letter-spacing: 2px;
  margin: 0 20px;
  text-decoration: none;
  color: #b0b0b0;
  transition: background-color 0.3s ease;
}

.show-more a:hover {
  background-color: #fed13d9b;
}

.show-more .line2 {
  flex-grow: 1;
  height: 1px;
  background-color: wheat;
}

/******* CONTACT *******/
#contacto {
  font-family: "Raleway, Arial, Helvetica, sans-serif" !important;
  font-weight: 300;
  text-align: center;
  font-size: 3rem;
  color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.container-fluid {
  background-image: url(src/agente.jpg);
  height: 50vh;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.contact-text {
  color: white;
  font-size: 1.5rem;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.contact-text a {
  color: #f7b731; /* puedes cambiarlo al color que prefieras */
}

.btn-primary {
  background-color: #f7b731; /* puedes cambiarlo al color que prefieras */
  border-color: #f7b731; /* puedes cambiarlo al color que prefieras */
}



/******* FOOTER **********/
.footer {
  background-color: #575757;
  padding: 20px;
  box-shadow: 0 -18px 20px rgba(0, 0, 0, 0.1);
  font-size: 14px;
  color: #ccc;
  border-top: 5px solid #5d5d5d;
}

.footer a {
  color: #ccc;
  text-decoration: none;
}

.footer .copyright {
  margin-bottom: 0;
}

.footer span {
  margin: 0 10px;
}

@media (max-width: 768px) {
  .footer .row {
    flex-direction: column-reverse;
  }
}
